---
id: sprint1
title: "Sprint 1: Research and Preparation "
sidebar_label: Sprint 1
slug: /sprint1
---

### What are the security threats that must be considered when building an Azure Cloud environment?
--------------------------


To form an understanding of what are the criteria that must be taken into consideration when securing a cloud environment a combination
of **literature studies** into securing the Azure environment and **the security threats** that exist for Azure were researched. The result of this
study is the **Risk Analysi**s which tries to easily answer the question of what are the main criteria that must be taken into
consideration when securing an Azure environment.

[Risk Analysis](../../static/documents/DTACT_RiskRankingandMitigationAzureEnvironment.xls)

On top of the risk Analysis, a **list of the criteria** that must be taken into consideration when **securing** an Azure environment was compiled.



![img](../../static/img/SecurityLevels.png)

[Figure 1 - The following diagram is a high-level view of how the classic subscription administrator roles, Azure roles, 
and [Azure AD](../../glossary#azure-ad-active-directory) roles are related]

1. **Security governance and strategy**
------------------

It is paramount that a company **documents its protocols** and processes for critically important security tasks such as using administrative credentials, 
responding to security events and recovering from significant security incidents. 

On top of that, it should **monitor alerts** and investigate incidents as they occur, even further, integrating lessons learned.

Finally, in order to remain safe, it needs **continuous innovation**, **periodic reviews**, **identifying critical assets**, and a focus on the **integrity of the administrative model**.

2.	**Administrative control**
-----------------------

In the Azure environment, this refers to the **Identity and Management** service that has been discussed in the previous sub-chapter.
Some of the standards that need to be fulfilled are the following:

Some of the standards that need to be fulfilled are the following:

•	Ensuring the least privileged model

•	Hardening security dependencies,

•	Using strong authentication such as multi-factor authentication, conditional access in Azure Active Directory.

•	Using admin accounts sparsely and under constant monitoring

•	Finally educating and empowering admins

3.	**Data protection**
----------------

In our day and age, **data** is one of the **most valuable assets** that a company has and needs to protect. In order to be properly protected, the company needs to **identify this data**. 
Some but not all of the likely valuable data are **Tokens and keys** used to connect to machines, databases, and storage services that contain **internal data**, **SharePoint files** 
and information about them.

On top of identifying the data, it is important it is also important to **classify its importance** for the company, its dependencies and ensure security controls and conditions 
for those dependencies.


4.	**Application security**
--------------

When thinking of **securing a cloud environment** one is prone to think of securing the **cloud services** but it is just as important to ensure that the **applications**
that are deployed through the environment are **secure and properly managed and configured**.

Furthermore, the applications that are likely to be less secure must be properly isolated or constantly updated to ensure the latest security implementations, and most importantly, 
constantly monitored.


5.	**Network security**
------------------

When working with networking in the Cloud you have to first take into consideration the **identity management** aspect and what capabilities and constraints you want to give to services and
machines in your network.

Next, you want to manage your **network security groups** making sure that the inbound and outbound rules are strict and well maintained.  The communication between machines is inside the cloud
environment and outside of the cloud environment, all outside connections should be **separated and well monitored**.

Finally, it is of importance that the topology in use is **well designed** in software so it is **easy to modify and manage**.


6.	**Operating system and middleware**
-----------------------

When working with in the cloud you need to use compute power, or in other words, make **virtual machines**. The Operating system and the middleware used to secure and deploy these machines needs
to be regularly and properly **maintained**.

When talking about operating systems we think of the **images** that they have spun from these need to be **managed**,  **secured** , **checked**, and made sure that the machines have **controlled software** installed.



### What is the best approach in creating an Azure environment given the time frame of the project?
----------------------

Azure is a Microsoft cloud service that provides a platform with over 200 services used to build, deploy and manage applications
through the Microsoft datacenters. DTACT has chosen to work with [AWS](../../portofolio/glossary#aws-amazon-web-services) as the most popular platform at its creation, but as the
**market expands** so does the company. **Azure** is the **second most popular** and used platform in the world after **AWS**. As such, it was
the logical next step to explore. While it is in many ways similar to AWS it is at the same time **different** in almost as many ways.

It has **different services** and methods used to secure the cloud environment such as Azure Security Center, Azure Active
Directory and Azure Monitor to name some of the most essential ones. On top of different services that are built differently, it
has a **different user schema**. While AWS has an account Owner and then users of the account, Azure is part of the Microsoft suite.
Meaning that it is governed by Active Directory that also governs overall Microsoft cloud products (e.g., Microsoft Suite) which
give it **multiple levels of control**.

The first level is the **global user** who governs over all Microsoft services that are managed through [Azure AD](../../glossary#azure-ad-active-directory). Next, you have
the **subscription or tenant control** which is managed through Azure IAM (Identity and Access Control), this governs only over one
subscription to Azure or a paying account. Next, there is **resource control**, each service can have different levels of users from
readers to service administrator.

This is important because one of the main and most important parts of securing a cloud environment is to make sure that all users
have the **minimum amount of access necessary to perform their tasks**. And like all parts of this project, it would be ideal if this would also be automated with the use of Terraform to ensure a centralized point of management for all rules of all levels.

On another topic, before provisioning any environment you have to determine what kind of **services** are **needed** to be run inside the
environment. Due to the nature of the project, this task is easier because AWS and Azure have an equivalent for almost all their
services, meaning that determining what kind of service is needed for each part is mostly a process of **finding the equivalent**
of one service from a **platform** in **the other**.

 [Azure Research](../../static/documents/SetupResearch.pdf)



### Conclusion.
--------------------------------

**1. What are the main concerns when it comes to securing the infrastructure?**

For the scope of the project it will be paramount that the following topics are addressed in the POC:

•	Create IAM permissions for the machines that spin up Raven

•	Create Security groups for the network in which machines are spun in and ensure that they can only be reached through a VPN connection.

•	Document and ensure that all company policies regarding the Azure environment are being followed and communicated to all users of the environment.

•	Make sure that credentials are being secured using both Hashicorp Vault but also that any additional database or point of interest in the Azure environment is being addressed, such 
Azure Key Vault or an external MariaDB

•	Work with Terraform and ensure that all policies made in IAM are properly documented.



**What is the best tool to use for the purose of provisioning the Azure environment?**

For provisioning the machines and services of Raven the best choice is going to be Terraform.
In addition to this the services that will be used for securing the environment must be provisioned as well to ensure
that each deployment has the same level of security.


**Is it possible to recreate the existing arhitecture from AWS to Azure?**

The short answer is yes. The two platforms have identical services for the purposes of this project and while each one
functions and is setup differently it is possible  to automate the Azure environment management and deployment with the use 
of [IAC](../portofolio/iac) (infrsastrcuture as code).

--------------------------
### [Risk Analyisis](../../static/documents/DTACT_RiskRankingandMitigationAzureEnvironment.xls)
----------------------------

### [IAC](../portofolio/iac)

------------------------------


### [Azure Research](../../static/documents/SetupResearch.pdf)

-----------------------